summaryrefslogtreecommitdiffstats
path: root/tests/shell/testcases/optionals
diff options
context:
space:
mode:
authorJose M. Guisado Gomez <guigom@riseup.net>2020-09-21 15:28:23 +0200
committerPablo Neira Ayuso <pablo@netfilter.org>2020-09-30 12:09:18 +0200
commit702ac2b72c0e8fb570ef30dd942472bf5d4146b8 (patch)
tree2d4cb752363d219d0cbbee7f6dd18ddab2ac94d7 /tests/shell/testcases/optionals
parentf02aa3764a48c2afd17761a211f70da941c71d00 (diff)
src: add comment support for chains
This patch enables the user to specify a comment when adding a chain. Relies on kernel space supporting userdata for chains. > nft add table ip filter > nft add chain ip filter input { comment "test"\; type filter hook input priority 0\; policy accept\; } > list ruleset table ip filter { chain input { comment "test" type filter hook input priority filter; policy accept; } } Signed-off-by: Jose M. Guisado Gomez <guigom@riseup.net> Signed-off-by: Pablo Neira Ayuso <pablo@netfilter.org>
Diffstat (limited to 'tests/shell/testcases/optionals')
-rwxr-xr-xtests/shell/testcases/optionals/comments_chain_012
-rw-r--r--tests/shell/testcases/optionals/dumps/comments_chain_0.nft5
2 files changed, 17 insertions, 0 deletions
diff --git a/tests/shell/testcases/optionals/comments_chain_0 b/tests/shell/testcases/optionals/comments_chain_0
new file mode 100755
index 00000000..fba961c7
--- /dev/null
+++ b/tests/shell/testcases/optionals/comments_chain_0
@@ -0,0 +1,12 @@
+#!/bin/bash
+
+EXPECTED='table ip test_table {
+ chain test_chain {
+ comment "test"
+ }
+}
+'
+
+set -e
+
+$NFT -f - <<< "$EXPECTED"
diff --git a/tests/shell/testcases/optionals/dumps/comments_chain_0.nft b/tests/shell/testcases/optionals/dumps/comments_chain_0.nft
new file mode 100644
index 00000000..be3d8f33
--- /dev/null
+++ b/tests/shell/testcases/optionals/dumps/comments_chain_0.nft
@@ -0,0 +1,5 @@
+table ip test_table {
+ chain test_chain {
+ comment "test"
+ }
+}